#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
	int broj_frilensera;
	int profit_frilensera[2 * 100000], da_sum = 0;
	float popustivost_frilensera[2 * 100000], maks_profit = 0, profit_drzave;
	
	cin >> broj_frilensera;
	
	
	
	for (int i = 0; i < broj_frilensera; i++){
		cin >> profit_frilensera[i] >> popustivost_frilensera[i];
		da_sum = da_sum	+ profit_frilensera[i];
	}
	
	int da_sum_place_holder = da_sum;
	
	for (int i = 0; i < broj_frilensera; i++){
		da_sum = da_sum_place_holder;
		for (int y = 0; y < broj_frilensera; y++){
		
			if (popustivost_frilensera[i] > popustivost_frilensera[y]){
				da_sum = da_sum - profit_frilensera[y];
			}
		}
		
		profit_drzave = da_sum * popustivost_frilensera[i] / 100;
		
		if (profit_drzave > maks_profit){
			maks_profit = profit_drzave;
		}
	}
	
	cout << setprecision(4) << fixed << maks_profit;
	
	
}